<?php

/**
*
* @package CacheGBPages
* @copyright (c) 2024 PPK
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*
*/

if (!defined('IN_PHPBB'))
{
	exit;
}
if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

$lang = array_merge($lang, array(
	'ACP_CACHEGBPAGES' => 'Cache guests & bots pages',
	'ACP_CACHEGBPAGES_EXPLAIN' => 'Provides the ability to cache the content of pages viewed by guests and bots. <br /><br />
		Recommendations for additional settings:
		<ol><li>It is advisable to use a <strong>file cache</strong> due to the <em>large volumes of cached data</em>.</li>
		<li>Be sure to disable the <strong>quick reply for guests</strong> feature if any extension enables it <em>(to avoid problems with captcha)</em>.</li>
		<li>Uncomment the appropriate lines in .htaccess if PHP is <strong>not</strong> installed as an Apache module <em>(and if there is no access to the HTTP <strong>If-None-Match</strong> header)</ em>.</li></ol>',

	'CGBP_ENABLED' => 'Enable caching',
	'CGBP_ENABLED_EXPLAIN' => 'The content of pages opened by guests and bots will be stored in the cache, and returned from the cache when accessed again. Enabling this extension can significantly reduce the load on the server from guests and bots, however, please note that the cache size will increase noticeably in proportion to guest activity.',

	'CGBP_TTL' => 'Maximum caching time (in minutes)',
	'CGBP_TTL_EXPLAIN' => 'Although the cache is updated if the page changes, it is recommended to limit the maximum cache time. This will allow you to display relevant statistical information on the pages (number of messages, views, etc.). Also note that the longer the caching time, the larger the cache size will be.',

	'CGBP_CACHE_GC' => 'Cache clearing (in minutes)',
	'CGBP_CACHE_GC_EXPLAIN' => 'Clear the cache of outdated saved pages after a specified period of time. When you visit a page with an outdated cache, it is automatically generated anew, this option additionally allows you to delete the cache of already outdated, but not visited pages.',

	'CGBP_REMOVE_SID' => 'Remove session IDs',
	'CGBP_REMOVE_SID_EXPLAIN' => 'Removes SID from guest URLs. Avoids possible confusion with guest sessions (when a guest receives a cached page with the saved SID of another visitor), significantly improves HTTP caching capabilities. It is recommended to disable this setting <strong>only</strong> if you are using another SID hiding mechanism.',

	'CGBP_FORCE_FCACHE' => 'Use file cache',
	'CGBP_FORCE_FCACHE_EXPLAIN' => 'Force the use of a file cache to store page content. Allows you to use different types of caching for the entire forum and for the extension. This setting should be enabled <strong>if</strong> if you see a warning above that a non-file cache is being used.',

	'CGBP_UPDATE_TOPIC' => 'Update topic data',
	'CGBP_UPDATE_TOPIC_EXPLAIN' => 'Update view count and last visit date when topics are viewed by guests.',

	'CGBP_DEBUG_INFO' => 'Display cached data',
	'CGBP_DEBUG_INFO_EXPLAIN' => 'Display page generation time, number of SQL queries and memory data used when rendering the page by the extension.',

	'CGBP_EXCLUDE' => 'Exclude pages from caching',
	'CGBP_EXCLUDE_EXPLAIN' => 'By default, the extension caches only the forum pages specified in this option. Additionally, here you can exclude unnecessary pages from caching.',

	'CGBP_ADDITIONAL_INFO' => 'Additional information',

	'CGBP_CACHE_SIZE' => 'Cache size',
	'CGBP_CACHE_SIZE_EXPLAIN' => 'Information about the current state of the file cache',

	'CGBP_CACHE_INFO' => 'Files in cache <strong>%s</strong>, total size <strong>%s</strong>',
	// localized thousands separator
	'CGBP_TH_SEP' => ' ',

	'CGBP_CACHE_INFO_ERROR' => 'The cache size could not be determined. Are you sure you are using the file cache?',
	'CGBP_CACHE_TYPE_ERROR' => 'The cache type currently in use is "%s". It is strongly recommended that you either enable the file cache or enable the "Use file cache" setting.',

	'CGBP_GUEST_ONLY' => 'For guests only',
	'CGBP_BOTS_ONLY' => 'Only for bots',
	'CGBP_INDEX' => 'Home page',
	'CGBP_VIEWFORUM' => 'Topic pages',
	'CGBP_VIEWTOPIC' => 'Message pages',
	'CGBP_LAST_GC' => 'Last cleanup',

));
