<?php

/**
*
* @package CacheGBPages
* @copyright (c) 2024 PPK
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*
*/

if (!defined('IN_PHPBB'))
{
	exit;
}
if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

$lang = array_merge($lang, array(
	'ACP_CACHEGBPAGES' => 'Cache guests & bots pages',
	'ACP_CACHEGBPAGES_EXPLAIN' => 'Предоставляет возможность кэширования содержимого страниц, просматриваемых гостями и ботами. <br /><br />
		Рекомендации по дополнительной настройке:
		<ol><li>Желательно использовать <strong>файловый кэш</strong> по причине <em>больших объёмов закэшированных данных</em>.</li>
		<li>Обязательно отключите возможность <strong>быстрого ответа для гостей</strong>, если какое-то расширение её включает <em>(во избежание проблем с капчей)</em>.</li>
		<li>Раскомментируйте соответствующие строки в .htaccess, если PHP <strong>не</strong> установлен как модуль Apache <em>(и если нет доступа к HTTP заголовку <strong>If-None-Match</strong>)</em>.</li></ol>',

	'CGBP_ENABLED' => 'Включить кэширование',
	'CGBP_ENABLED_EXPLAIN' => 'Содержимое страниц, открываемых гостями и ботами, будет сохраняться в кэше, и возвращаться из кэша при повторном обращении. Включение этого расширения позволяет значительно уменьшить нагрузку на сервер со стороны гостей и ботов, однако следует учесть, что размер кэша заметно вырастет пропорционально гостевой активности.',

	'CGBP_TTL' => 'Максимальный срок кэширования (в минутах)',
	'CGBP_TTL_EXPLAIN' => 'Несмотря на то, что в случае изменения страницы кэш обновляется, рекомендуется ограничивать максимальное время кэширования. Это позволит отображать на страницах актуальную статистическую информацию (количество сообщений, просмотров и так далее). Также следует учесть, что чем больше время кэширования, тем большим будет размер кэша.',

	'CGBP_CACHE_GC' => 'Очистка кэша (в минутах)',
	'CGBP_CACHE_GC_EXPLAIN' => 'Очищать кэш устаревших сохранённых страниц через указанный период времени. При посещении страницы с устаревшим кэшем она автоматически генерируется заново, данная опция дополнительно позволяет удалять кэш уже устаревших, но не посещённых страниц.',

	'CGBP_REMOVE_SID' => 'Удалять идентификаторы сессий',
	'CGBP_REMOVE_SID_EXPLAIN' => 'Убирает SID из гостевых URL. Позволяет избежать возможной путаницы с гостевыми сессиями (когда гость получает закэшированную страницу с сохранёнными SID другого посетителя), значительно улучшает возможности HTTP кэширования. Эту настройку рекомендуется отключать <strong>только</strong> в том случае, если вы используете другой механизм сокрытия SID.',

	'CGBP_FORCE_FCACHE' => 'Использовать файловый кэш',
	'CGBP_FORCE_FCACHE_EXPLAIN' => 'Принудительное использование файлового кэша для хранения содержимого страниц. Позволяет использовать разные типы кэширования для всего форума и для расширения. Эту настройку нужно включать <strong>если</strong> если выше вы видите предупреждение о том, что используется не файловый кэш.',

	'CGBP_UPDATE_TOPIC' => 'Обновлять данные тем',
	'CGBP_UPDATE_TOPIC_EXPLAIN' => 'Обновлять счётчик просмотра и дату последнего посещения при просмотре тем гостями.',

	'CGBP_DEBUG_INFO' => 'Отображать данные кэширования',
	'CGBP_DEBUG_INFO_EXPLAIN' => 'Отображать данные времени генерации страницы, количество SQL запросов и данные памяти использованные при выводе страницы расширением.',

	'CGBP_EXCLUDE' => 'Исключить страницы из кэширования',
	'CGBP_EXCLUDE_EXPLAIN' => 'По умолчанию расширение кэширует только указанные в этой опции страницы форума. Дополнительно здесь можно исключить из кэширования ненужные страницы.',

	'CGBP_ADDITIONAL_INFO' => 'Дополнительная информация',

	'CGBP_CACHE_SIZE' => 'Размер кэша',
	'CGBP_CACHE_SIZE_EXPLAIN' => 'Информация о состоянии файлового кэша на текущий момент',

	'CGBP_CACHE_INFO' => 'Файлов в кэше <strong>%s</strong>, общий объём <strong>%s</strong>',
	// localized thousands separator
	'CGBP_TH_SEP' => ' ',

	'CGBP_CACHE_INFO_ERROR' => 'Невозможно определить размер кэша. Вы уверены, что используете именно файловый кэш?',
	'CGBP_CACHE_TYPE_ERROR' => 'В настоящий момент используется "%s" тип кэша. Настоятельно рекомендуется либо включить файловый кэш, либо активировать настройку "Использовать файловый кэш".',

	'CGBP_GUEST_ONLY' => 'Только для гостей',
	'CGBP_BOTS_ONLY' => 'Только для ботов',
	'CGBP_INDEX' => 'Главная страница',
	'CGBP_VIEWFORUM' => 'Страницы тем',
	'CGBP_VIEWTOPIC' => 'Страницы сообщений',
	'CGBP_LAST_GC' => 'Последняя очистка',

));
