<?php

/**
*
* @package CacheGBPages
* @copyright (c) 2024 PPK
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*
*/

namespace ppk\cachegbpages\migrations;

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
    exit;
}

class cachegbpages_manage extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return isset($this->config['cachegbpages_version']);
	}

	public function update_data()
	{
		return array(

			// Add new config vars
			array('config.add', array('cgbp_enabled', '0')),
			array('config.add', array('cgbp_exclude', '')),
			array('config.add', array('cgbp_ttl', '720')),
			array('config.add', array('cgbp_remove_sid', '0')),
			array('config.add', array('cgbp_force_fcache', '0')),
			array('config.add', array('cgbp_update_topic', '0')),
			array('config.add', array('cgbp_debug_info', '0')),
			array('config.add', array('cgbp_cache_gc', '120', 0)),
			array('config.add', array('cgbp_cache_last_gc', '0', true)),

			array('config.' . (isset($this->config['cgbp_extedition']) ? 'update' : 'add'), array('cgbp_extedition', 'free')),

			array('config.add', array('cgbp_version', '1.0.3')),

			// Add new modules
			array('module.add', array(
				'acp',
				'ACP_CAT_DOT_MODS',
				'CACHEGBPAGES'
			)),

			array('module.add', array(
				'acp',
				'CACHEGBPAGES',
				array(
					'module_basename' => '\ppk\cachegbpages\acp\cachegbpages_module',
					'modes' => array('cachegbpages_config'),
				),
			)),
		);
	}

	public function revert_data()
	{
		return array(
			array('config.remove', array('cgbp_enabled')),
			array('config.remove', array('cgbp_exclude')),
			array('config.remove', array('cgbp_ttl')),
			array('config.remove', array('cgbp_remove_sid')),
			array('config.remove', array('cgbp_force_fcache')),
			array('config.remove', array('cgbp_update_topic')),
			array('config.remove', array('cgbp_debug_info')),
			array('config.remove', array('cgbp_cache_gc')),
			array('config.remove', array('cgbp_cache_last_gc')),

			array('config.remove', array('cgbp_extedition')),

			array('config.remove', array('cgbp_version')),

			array('module.remove', array(
				'acp',
				'CACHEGBPAGES',
				array(
					'module_basename' => '\ppk\cachegbpages\acp\cachegbpages_module',
					'modes' => array('cachegbpages_config'),
				),
			)),
			array('module.remove', array(
				'acp',
				'ACP_CAT_DOT_MODS',
				'CACHEGBPAGES'
			)),
		);
	}
}